Package wx :: Class DropFilesEvent

[frames | no frames]

## Type DropFilesEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    DropFilesEvent

This class is used for drop files events, that is, when files have been dropped onto the window. This functionality is only available under Windows. The window must have previously been enabled for dropping by calling `wx.Window.DragAcceptFiles`.

Important note: this is a separate implementation to the more general drag and drop implementation using `wx.FileDropTarget`, and etc. This implementation uses the older, Windows message-based approach of dropping files.

Use wx.EVT_DROP_FILES to bind an event handler to receive file drop events.

Method Summary
| `__init__(self)`
PyObject | ``GetFiles`(self)` Returns a list of the filenames that were dropped.
int | ``GetNumberOfFiles`(self)` Returns the number of files dropped.
Point | ``GetPosition`(self)` Returns the position at which the files were dropped.

Property Summary
| `Files`: See `GetFiles`
| `NumberOfFiles`: See `GetNumberOfFiles`
| `Position`: See `GetPosition`
| `thisown`: The membership flag

Method Details

### GetFiles(self)

Returns a list of the filenames that were dropped.

  Returns:
    PyObject

### GetNumberOfFiles(self)

Returns the number of files dropped.

  Returns:
    int

### GetPosition(self)

Returns the position at which the files were dropped.

  Returns:
    Point

Property Details

### Files

See `GetFiles`

  Get Method:
    `GetFiles`(self)

### NumberOfFiles

See `GetNumberOfFiles`

  Get Method:
    `GetNumberOfFiles`(self)

### Position

See `GetPosition`

  Get Method:
    `GetPosition`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:02 2007 | http://epydoc.sf.net